<!-- Main Area -->
<div class="main-content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-icon card-header-info">
                        <div class="card-icon">
                            <i class="material-icons">assignment</i>
                        </div>
                        <h4 class="card-title">Báo cáo chi tiết</h4>
                    </div>
                    <div class="card-body">
                        <form>
                            <div class="row">
                                <div class="col-md-3">
                                    <mat-form-field class="example-full-width">
                                        <input matInput [(ngModel)]="rpt_start_date" name="rpt_start_date" [formControl]="rpt_start_date_control" required
                                            [matDatepicker]="rptStartDate" (click)="rptStartDate.open()"
                                            placeholder="Ngày bắt đầu">
                                        <mat-error *ngIf="rpt_start_date_control.invalid">Nhập ngày bắt đầu</mat-error>
                                        <mat-datepicker-toggle matSuffix [for]="rptStartDate"></mat-datepicker-toggle>
                                        <mat-datepicker #rptStartDate></mat-datepicker>
                                    </mat-form-field>
                                </div>
                                <div class="col-md-3">
                                    <mat-form-field class="example-full-width">
                                        <input matInput [(ngModel)]="rpt_end_date" name="rpt_end_date" [formControl]="rpt_end_date_control" required
                                            [matDatepicker]="rptEndDate" (click)="rptEndDate.open()"
                                            placeholder="Ngày kết thúc">
                                            <mat-error *ngIf="rpt_end_date_control.invalid">Nhập ngày kết thúc</mat-error>
                                        <mat-datepicker-toggle matSuffix [for]="rptEndDate"></mat-datepicker-toggle>
                                        <mat-datepicker #rptEndDate></mat-datepicker>
                                    </mat-form-field>
                                </div>
                            </div>
                            <button mat-raised-button type="submit" class="btn btn-primary pull-right"
                                (click)="search()">
                                Tìm kiếm
                            </button>
                            <div class="clearfix"></div>
                        </form>

                        <div *ngIf="!showTable">Không có dữ liệu</div>

                        <div *ngIf="showTable">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead class=" text-primary">
                                        <tr>
                                            <th> STT </th>
                                            <th> Tên công ty </th>
                                            <th> Địa chỉ </th>
                                            <th> Tên khách hàng </th>
                                            <th> Số điện thoại </th>
                                            <th> Email </th>
                                            <th> Gói cước </th>
                                            <th> Trạng thái </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr *ngFor="let row of detailList; let i = index">
                                            <td> {{i + 1}} </td>
                                            <td> {{row.COMPANY_NAME}} </td>
                                            <td> {{row.COMPANY_ADDRESS}} </td>
                                            <td> {{row.CUSTOMER_NAME}} </td>
                                            <td> {{row.MSISDN}} </td>
                                            <td> {{row.EMAIL}} </td>
                                            <td> {{row.CUSTOMER_SERVICE_NAME}} </td>
                                            <td> {{row.STATUS}} </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <label class="col-md-2 col-form-label">Số bản ghi tối đa </label>
                                        <mat-form-field class="example-full-width" style="width:40px">
                                            <mat-select matInput [(ngModel)]="limit" name="limit"
                                                (ngModelChange)="limitChange()">
                                                <mat-option [value]="10">10</mat-option>
                                                <mat-option [value]="20">20</mat-option>
                                                <mat-option [value]="50">50</mat-option>
                                                <mat-option [value]="100">100</mat-option>
                                            </mat-select>
                                        </mat-form-field>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <ul class="pagination pull-right">
                                        <li class="page-item">
                                            <a mat-button class="page-link" aria-label="Previous"
                                                (click)="pageChange((page === 1) ? page : page - 1)">
                                                <span aria-hidden="true"><i class="fa fa-angle-double-left"
                                                        aria-hidden="true"></i></span>
                                            </a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page !== 1"
                                                (click)="pageChange(1)">1</a>
                                        </li>
                                        <div *ngIf="page > 3">
                                            ...
                                        </div>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page > 2"
                                                (click)="pageChange(page - 1)">{{page - 1}}</a>
                                        </li>
                                        <li class="page-item active">
                                            <a mat-button class="page-link" (click)="pageChange(page)">{{page}}</a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page < end - 1"
                                                (click)="pageChange(page + 1)">{{page + 1}}</a>
                                        </li>
                                        <div *ngIf="page < end - 2">
                                            ...
                                        </div>
                                        <li class="page-item">
                                            <a mat-button class="page-link" *ngIf="page !== end"
                                                (click)="pageChange(end)">{{end}}</a>
                                        </li>
                                        <li class="page-item">
                                            <a mat-button class="page-link" aria-label="Next"
                                                (click)="pageChange((page * limit >= total) ? page : page + 1)">
                                                <span aria-hidden="true"><i class="fa fa-angle-double-right"
                                                        aria-hidden="true"></i></span>
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Spinner Area -->
<app-spinner></app-spinner>